Package Details: xonsh-git 0.11.0.r121.gb1fe9e49-1

Git Clone URL: https://aur.archlinux.org/xonsh-git.git (read-only, click to copy)
Package Base: xonsh-git
Description: A Python-ish, BASHwards-compatible shell
Upstream URL: https://github.com/xonsh/xonsh
Keywords: python shell system
Licenses: FreeBSD
Conflicts: xonsh
Submitter: None
Maintainer: dundee
Last Packager: dundee
Votes: 5
Popularity: 0.48
First Submitted: 2015-07-30 17:26 (UTC)
Last Updated: 2022-04-04 22:42 (UTC)

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

SamLukeYes commented on 2022-03-24 06:56 (UTC) (edited on 2022-03-24 10:40 (UTC) by SamLukeYes)

Please add git to makedepends, and change the source link to git+https://github.com/scopatz/xonsh.git

UPDATE: Still fails to build in a clean chroot with the changes above. I have no idea how to fix it :(

dundee commented on 2021-03-20 19:56 (UTC)

archebald: Updated. Thanks for suggestion!

archebald commented on 2021-03-20 18:25 (UTC)

Please update the link to the repository - https://github.com/xonsh/xonsh/

dundee commented on 2019-02-20 11:00 (UTC)

Granitosaurus: Looks like your problem only (maybe with pycache?). Try to reinstall python-prompt_toolkit.

Does this work for you?

python -c "import prompt_toolkit"

Granitosaurus commented on 2019-02-20 05:07 (UTC)

This constantly breaks with prompt_toolkit:

ImportError: cannot import name 'to_cli_filter' from 'prompt_toolkit.filters' (/usr/lib/python3.7/site-packages/prompt_toolkit/filters/init.py) Xonsh encountered an issue during launch

sh-5.0$ yay -Q python-prompt_toolkit python-prompt_toolkit 2.0.8-1

Am I misisng something?

dundee commented on 2017-09-05 10:37 (UTC)

midgard: Fixed, thanks!

midgard commented on 2017-09-04 10:40 (UTC)

Hi dundee, in PKGBUILD you should quote variables that may contain spaces, in particular "$pkgdir" on line 26. In the non-git package as well.

dundee commented on 2015-11-08 20:25 (UTC)

Fixed by patch and reported upstream - https://github.com/scopatz/xonsh/pull/480 Thanks!

kseistrup commented on 2015-11-07 12:38 (UTC)

This package doesn't build well after the arrival of the Jupyter kernel patch.

<deleted-account> commented on 2015-08-30 13:46 (UTC)

I've recently moved to Gentoo full-time, so I'm disowning all my packages. Farewell!